Requests | Create Request

The Request CREATE end-point can be used to generate quote requests on Cargobase. This end-point can be used to create and send out full quote requests to your freight forwarders. Based on the details provided, all available providers will be invited. This means that some data is mandatory.

Typically, this end-point is used to connect automated systems, or systems in which the Cargobase functionality is fully integrated. For more generic implementations, such as with ERP systems, we strongly advise to review the draft end-point.

Note This end-point only applies to Shippers

Request URI

POST https://pluto.cargobase.com/api/1/requests/create
Content-Type: application/json
Authentication: Token 'your_token_here'

Body message

Because we generate a full request and invite available forwarders, there are some mandatory fields that need to be taken into account.

The message body is constructed around 3 main object categories and 3 subcategories.
Some values are mandatory, others are optional

Main object categories

Category parameterPurposeChild object
organizationOrganizational detail, such as Cost center or Reason codegood_items & good_customs_items
serviceDetails such as incoterms or freight modesnone
scheduleDetails such as locations or timingnone

Body Sub-categories

Category parameterPurposeParent object
good_itemsSpecification of individual handling unitsorganization
good_customs_itemsSpecification of commercial values or details of individual handling unitsgood_items
special_requirementsSpecification of commercial values or details of individual handling unitsgood_items

organization values

KeyValueMandatoryPurposeParent object
locationSTRINGMANDATORYA reference to the 'location' the request is for, location references are shared by Cargobaseorganization
requestor_usernameSTRINGNoThe username of a person to be listed as the initiator of the request, must be an active Cargobase accountorganization
quoting_deadline_dateSTRINGMANDATORYQuote deadline date (UTC time) in specified format YYYY-MM-DDorganization
quoting_deadline_timeSTRINGMANDATORYQuote deadline time of day (UTC time) in specified format HH:MMorganization
confirmation_dateSTRINGMANDATORYConfirmation time date (UTC time) in specified format YYYY-MM-DDorganization
confirmation_timeSTRINGMANDATORYConfirmation time of day (UTC time) in specified format HH:MMorganization
good_itemsOBJECTMANDATORYsee specification beloworganization
titleSTRINGNoPosted as title of the shipment for easy referenceorganization
cost_centerSTRINGNoValue of cost_center - can have custom labelorganization
custom_field1STRINGNoValue of custom_field1 - can have custom labelorganization
custom_field1STRINGNoValue of custom_field2 - can have custom labelorganization
custom_longfield_01STRINGNoValue of Custom_longfield_01, can have a custom labelorganization
reason_codeSTRINGNoValue of custom_field1 - can have custom labelorganization
special_requirementsOBJECTNosee specification beloworganization
good_items

Each request can have 1 or multiple goods on the packing list. These goods are described in 'good_item'-objects.
A request can have multiple such objects.

KeyValueMandatoryPurpose
handling_unitSTRINGNoString of handling unit - see options below
unitsINTNoQuantity of items of this type
lengthINTNoLength in whole centimeters or inches
widthINTNoWidth in whole centimeters or inches
heightINTNoHeight in whole centimeters or inches
m_unitSTRINGNoUnit of measurement for LxWxH can be "cm" or "inch"
weightINTNoWeight in whole kgs or lbs
w_unitSTRINGNoUnit of measurement for weight can be "lbs" or "kg"
stackableBOOLEANNoTo indicate if unit is stackable
hazardousBOOLEANNoTo indicate if unit is hazardous
is_dangerousBOOLEANNoTo indicate if unit is classified as a dangerous good
dangerous_goods_valueSTRINGNoReference number of the DG class, see table below for potential values
container_typeSTRINGNoReference number of the container type, see table below for potential values
refridgerated_containerBOOLEANNoTo identify if container should be refridgerated, in case of handling unit container
additional_informationSTRINGNoText description of additional information for this item
goods_customs_informationOBJECTNoOBJECT containing customs information for this item
handling_unit options
  • Bag
  • Box
  • Carton
  • Case
  • Crate
  • Container
  • Pallet
  • Tube

NOTE Custom handling units are not supported at this moment.

Dangerous goods value
ValueDescription
1DG 1: Explosive substances and articles
2DG 2: Gasses
3DG 3: Flammable liquids
4DG 4: Flammable solids
5DG 5: Oxidising substances
6DG 6: Toxic & Infectious substances
7DG 7: Radioactive material
8DG 8: Corrosives
9DG 9: Miscellaneous
Container type value
ValueDescription
120Ft Standard
220Ft Open top
320Ft Flatrack
420Ft Flatrack Collapsible
520Ft Platform
620Ft Refrigerated
720Ft Bulk
820Ft Tank
920Ft Ventilated
1040Ft Standard
1140Ft Open top
1240Ft High-Cube
1340Ft Flatrack
1440Ft Flatrack collapsible
1540Ft Platform
1640Ft Refrigerated
1745Ft High-Cube
18Custom size
19LCL
goods_customs_information

Each good item can contain multiple goods, these goods are described in the 'goods_customs_information' object.
A good item can have multiple such objects.

KeyValuePurpose
valueINTEGERMonetary value of product in this handling unit
currency_codeSTRING3-letter ISO code of currency of the value of the item
descriptionSTRINGDescription of item contents
hs_codeSTRINGHS Code of the item
special_requirements

Each request can have special requirements, these are defined in the special_requirements object.
Each request can only have 1 special requirements object.
This object is not a mandatory object for most, however - for some it is; in those cases, all booleans mentioned below are expected.

KeyValuePurpose
air_truck_requiredBOOLEANIndication if this requirement is requested on the shipment
air_truck_additional_informationSTRINGAdditional description of this requirement
shock_tilt_requiredBOOLEANIndication if this requirement is requested on the shipment
shock_tilt_additional_informationSTRINGAdditional description of this requirement
unique_handling_requiredBOOLEANIndication if this requirement is requested on the shipment
unique_handling_additional_informationSTRINGAdditional description of this requirement
chemical_magnetic_concernsBOOLEANIndication if this requirement is requested on the shipment
chemical_magnetic_additional_informationSTRINGAdditional description of this requirement
unique_warehousing_requiredBOOLEANIndication if this requirement is requested on the shipment
unique_warehousing_additional_informationSTRINGAdditional description of this requirement
special_transport_requiredBOOLEANIndication if this requirement is requested on the shipment
special_transport_additional_informationSTRINGAdditional description of this requirement
special_provider_requirementsBOOLEANIndication if this requirement is requested on the shipment
special_provider_additional_informationSTRINGAdditional description of this requirement
special_lift_fixtures_requiredBOOLEANIndication if this requirement is requested on the shipment
special_lift_fixtures_additional_informationSTRINGAdditional description of this requirement

service values

KeyValueMandatoryPurposeParent object
incotermSTRINGMANDATORYRequested incoterms - see possible options belowservice
insuranceBOOLEANMANDATORYTo indicate if shipment insurance is requestedservice
insurance_instructionsSTRINGNoDescriptive text of your request, in case set to 'true'service
service_requirementMANDATORYSTRINGIndication of service requirement type - see options belowservice
export_clearanceBOOLEANMANDATORYIndication if Export clearance is requested and how - see Clearance options belowservice
export_clearance_instructionsSTRINGNoDescriptive text of your request, in case set to 'true'service
transit_clearanceBOOLEANMANDATORYIndication if Transit clearance is requested and how - see Clearance options belowservice
transit_clearance_instructionsSTRINGNoDescriptive text of your request, in case set to 'true'service
import_clearanceBOOLEANMANDATORYIndication if Import clearance is requested and how - see Clearance options belowservice
import_clearance_instructionsSTRINGNoDescriptive text of your request, in case set to 'true'service
air_charter_invitedBOOLEANMANDATORYTo indicate if Air charter forwarders should be invitedservice
next_flight_invitedBOOLEANMANDATORYTo indicate if Next flight out (NFO) forwarders should be invitedservice
ocean_freight_invitedBOOLEANMANDATORYTo indicate if Ocean freight forwarders should be invitedservice
rail_freight_invitedBOOLEANMANDATORYTo indicate if Rail freight forwarders should be invitedservice
regular_air_freight_invitedBOOLEANMANDATORYTo indicate if Regular Air freight forwarders should be invitedservice
road_freight_invitedBOOLEANMANDATORYTo indicate if Road freight forwarders should be invitedservice
road_freight_typeBOOLEANMANDATORYSpecification of road freight type, see options belowservice
Incoterm options
ValueDescription
EXWEx Works
FCAFree Carrier
CPTCarriage Paid To
CIPCarriage Insurance Paid to
DATDelivery At Terminal
DATDelivery At Place
DDPDelivery Duty Paid
FASFree Along Ship
FOBFree On Board
CFRCost and Freight
CIFCost, Insurance and Freight
Service requirement options
ValueDescription
DTDDoor-to-Door
DTPDoor-to-Port
PTDPort-to-Door
PTPPort-to-Port
Clearance options
ValueDescription
1Maby requested, to be clarified in description
2Will be arrange by shipper, to be clarified in accompanying description
3Provider is requested to arrange, to be clarified in accompanying description
Road freight options
ValueDescription
FTLFull-truck load
LTLLess than Truck Load
GROUND_EXPEDITEGround Expedite
SPECIALIZEDSpecialized - Car haulers, flat-beds, dump truck
MULTI_STOPMulti-stop

schedule values

KeyValueMandatoryPurposeParent object
pickup_airport_codeSTRINGCONDITIONALIATA Airport code, if identified otherwise nullschedule
pickup_airportSTRINGCONDITIONALAirport Name, if identified otherwise nullschedule
pickup_seaport_codeSTRINGCONDITIONALSeaport code (UN/LOCODE), if identified otherwise nullschedule
pickup_seaportTYPECONDITIONALSeaport name, if identified otherwise nullschedule
pickup_streetSTRINGMANDATORYPickup street addressschedule
pickup_address_nameSTRINGMANDATORYPickup company nameschedule
pickup_stateSTRINGCONDITIONALThe state/province in case of Canada, Mexico or USA, see below for value optionsschedule
pickup_zipcodeSTRINGMANDATORYThe pickup postal codeschedule
pickup_citySTRINGMANDATORYThe pickup cityschedule
pickup_countrySTRINGMANDATORYThe pickup country, see below for value optionsschedule
pickup_dateTIMESTAMPMANDATORYRequested pickup date (local time), format YYYY-MM-DDschedule
pickup_timeTIMESTAMPMANDATORYRequested pickup time (local time), format HH:MMschedule
pickup_time_typeINTEGERMANDATORYRequested pickup type can be 1=Regularor 2=Betweenschedule
pickup_end_dateTIMESTAMPNoRequested pickup end date (local time), in case of pickup_time_type 2schedule
pickup_end_timeTIMESTAMPNoRequested pickup end time (local time), in case of pickup_time_type 2schedule
pickup_hours_startTIMESTAMPNoIf Shipper indicated pickup location opening hours format: HH:MMschedule
pickup_hours_endTYPENoIf Shipper indicated pickup location closing hours format: HH:MMschedule
pickup_notesSTRINGNoAdditional pickup notesschedule
pickup_contact_nameSTRINGMANDATORYName of contact person at pickup locationschedule
pickup_contact_phoneSTRINGMANDATORYPhone number of contact person at pickup locationschedule
pickup_contact_emailSTRINGMANDATORYEmail of contact person at pickup locationschedule
pickup_address_typeSTRINGNoCan be Address, Seaport or Airportschedule
stop1_airportSTRINGCONDITIONALAirport Name, if identified otherwise nullschedule
stop1_seaport_codeSTRINGCONDITIONALSeaport code, if identified otherwise nullschedule
stop1_seaportTYPECONDITIONALSeaport name, if identified otherwise nullschedule
stop1_streetSTRINGMANDATORYDelivery street addressschedule
stop1_address_nameSTRINGMANDATORYDelivery company nameschedule
stop1_stateSTRINGCONDITIONALThe state/province in case of Canada, Mexico or USA, see below for value optionsschedule
stop1_zipcodeSTRINGMANDATORYThe delivery postal codeschedule
stop1_citySTRINGMANDATORYThe delivery cityschedule
stop1_countrySTRINGMANDATORYThe delivery country, see below for value optionsschedule
stop1_dateTIMESTAMPMANDATORYRequested delivery date (local time), format YYYY-MM-DDschedule
stop1_timeTIMESTAMPMANDATORYRequested delivery time (local time), format HH:MMschedule
stop1_time_typeINTEGERNoRequested delivery type can be 1=Regularor 2=Betweenschedule
stop1_end_dateTIMESTAMPNoRequested delivery end date (local time), in case of stop1_time_type 2schedule
stop1_end_timeTIMESTAMPNoRequested delivery end time (local time), in case of stop1_time_type 2schedule
stop1_hours_startTIMESTAMPNoIf Shipper indicated delivery location opening hours format: HH:MMschedule
stop1_hours_endTYPENoIf Shipper indicated delivery location closing hours format: HH:MMschedule
stop1_notesSTRINGNoAdditional delivery notesschedule
stop1_contact_nameSTRINGMANDATORYName of contact person at delivery locationschedule
stop1_contact_phoneSTRINGMANDATORYPhone number of contact person at delivery locationschedule
stop1_contact_emailSTRINGMANDATORYEmail of contact person at delivery locationschedule
stop1_address_typeSTRINGNoCan be Address, Seaport or Airportschedule
Country values

Countries can be provided as names, based on common American spelling for the territory, however it is recommended to provide either the 2 or 3 letter ISO 3166 code.
A full list of ISO codes per country can be found here Wikipedia link

State / province values

At this moment both pickup_state and stop1_state expect the common American full name spelling for the states. Pluto will be updated to also be able to consume common 2 letter acronyms for states in Mexico and the United States as well as Provinces in Canada. Other countries do not expect any such state at this moment.

Status codes

StatusDescriptionResolution
201Created"Request created with Shipment number S71229654"
403Forbiddencheck Authentication token

In case of a successful POST your response will contain the details that were posted, as confirmation.

Sample Request Body :

{
  "organization": {
    "location": "SL2963758",
    "quoting_deadline_date": "2022-03-25",
    "quoting_deadline_time": "12:00",
    "confirmation_date": "2022-03-30",
    "confirmation_time": "12:00",
    "custom_longfield_01": "My longfield input",
    "title": "1629256678058",
    "good_items": [
      {
        "handling_unit": "box",
        "units": 1,
        "length": 60,
        "height": 60,
        "width": 60,
        "m_unit": "cm",
        "weight": 200,
        "w_unit": "kg",
        "stackable": false,
        "hazardous": false,
        "is_dangerous_good": false,
        "additional_information": "TAKE CARE",
        "dangerous_good_value": "3",
        "container_type": null,
        "nmfc_class": "50",
        "good_customs_information": [
          {
            "value": 8000,
            "currency_code": "USD",
            "description": "Gear R",
            "hs_code": "E2"
          }
        ]
      }
    ]
  },
  "service": {
    "incoterm": "EXW",
    "insurance": true,
    "insurance_instructions": "AIA",
    "service_requirement": "DTD",
    "export_clearance": "3",
    "export_clearance_instructions": "NO",
    "transit_clearance": "1",
    "transit_clearance_instructions": "Sure",
    "import_clearance": "0",
    "import_clearance_instructions": "Checking",
    "air_charter_invited": false,
    "next_flight_invited": false,
    "ocean_freight_invited": false,
    "rail_freight_invited": false,
    "regular_air_freight_invited": true,
    "road_freight_invited": false,
    "road_freight_type": ""
  },
  "schedule": {
    "pickup_street": "CleanTech",
    "pickup_address_name": "01#03, STech",
    "pickup_state": "Singapore",
    "pickup_zipcode": "119932",
    "pickup_city": "Singapore",
    "pickup_country": "Singapore",
    "pickup_date": "2022-03-20",
    "pickup_time": "09:00:00",
    "pickup_contact_name": "ARTC",
    "pickup_contact_phone": "69095381",
    "pickup_contact_email": "[email protected]",
    "pickup_notes": "CHECK",
    "stop1_street": "Plot E261, Industrial Area, Sector 74 Phase 8B",
    "stop1_address_name": "56#87, SpeedWide",
    "stop1_state": "Punjab",
    "stop1_zipcode": "160071",
    "stop1_city": "Mohali",
    "stop1_country": "India",
    "stop1_date": "2022-04-01",
    "stop1_time": "09:00:00",
    "stop1_contact_name": "Arcstone Pte. Ltd.",
    "stop1_contact_phone": "69095381",
    "stop1_contact_email": "[email protected]",
    "stop1_notes": "CHECK"
  }
}
Language
Credentials
http
Response
Click Try It! to start a request and see the response here!